LibAddonButton = LibAddonButton or {};
if (not LibAddonButton.Localization) then
	LibAddonButton.Localization = {};
	LibAddonButton.Localization.Language = {};
end

LibAddonButton.Localization.Language[SystemData.Settings.Language.ENGLISH] = 
{
	["Manager.Title"] = L"Manager",
	["Manager.DragInfo"] = L"Drag and drop an item onto a created button to use it on that button",
	["Manager.RemoveInfo"] = L"Right click an item for additional options",
	["Manager.New"] = L"Create a new button",
	["Manager.Options"] = L"Options",
	["Manager.Options.Advanced"] = L"Advanced",
	["Manager.Options.Delete"] = L"Delete",
	["Manager.Options.Delete.Delete"] = L"Delete it",
	["Manager.New.Tooltip"] = L"This button will be used as a template",
	["Manager.Create"] = L"Create",
	["Manager.Show"] = L"Show this button",
	["Manager.Show.Tooltip"] = L"Use the layout editor to show a hidden button",
	["Manager.AutoSort"] = L"Automatically sort this menu",
	["Manager.Divider"] = L"Divider",
	["Manager.Error.CannotEdit"] = L"This item cannot be edited",
	["Manager.Context.Remove"] = L"Remove",
	["Manager.Context.MoveToTop"] = L"Move to top",
	["Manager.Context.MoveUp"] = L"Move up",
	["Manager.Context.MoveDown"] = L"Move down",
	["Manager.Context.MoveToBottom"] = L"Move to bottom",
	["Manager.Context.ManageSubmenu"] = L"Manage submenu",
	["Manager.Context.MoveTo"] = L"Move to...",
	["Manager.Context.MoveTo.Parent"] = L"Parent",
	
	["Manager.Navigate.Main"] = L"Main",
	
	["Manager.CustomItem.Title"] = L"Custom item",
	["Manager.CustomItem.Text"] = L"Display name",
	["Manager.CustomItem.Type"] = L"Type",
	["Manager.CustomItem.Type.Macro"] = L"Macro",
	["Manager.CustomItem.Type.Menu"] = L"Menu",
	["Manager.CustomItem.Type.Divider"] = L"Divider",
	["Manager.CustomItem.Tooltip"] = L"Tooltip",
	["Manager.CustomItem.Menu"] = L"Menu",
	["Manager.CustomItem.Menu.Info"] = L"This item must be created before further items can be added to it",
	["Manager.CustomItem.Menu.Manage"] = L"Manage",
	["Manager.CustomItem.Menu.Manage.Info"] = L"Warning: Managing this menu will cause this window to close. Any changed settings will be lost",
	["Manager.CustomItem.Divider"] = L"Divider",
	["Manager.CustomItem.Divider.Warning"] = L"It is not recommended to use automatic sorting with dividers",
	["Manager.CustomItem.Macro"] = L"Macro",
	["Manager.CustomItem.Create"] = L"Create",
	["Manager.CustomItem.Apply"] = L"Apply Changes",
	["Manager.CustomItem.Error.TextRequired"] = L"Display name required",
	["Manager.CustomItem.Error.MacroRequired"] = L"Macro text required",
	
	["Manager.MacroHelp.Title"] = L"Macro Information",
	["Manager.MacroHelp.Script"] = L"/script",
	["Manager.MacroHelp.Script.Info"] = L"A script can contain multiple lines by separating them with a semicolon ( ; )",
	["Manager.MacroHelp.MultipleLines"] = L"Multiple lines",
	["Manager.MacroHelp.MultipleLines.Info"] = L"Each line represents a seperate command",
	["Manager.MacroHelp.Command"] = L"Special commands",
	["Manager.MacroHelp.Command.Delay"] = L"#delay s",
	["Manager.MacroHelp.Command.Delay.Info"] = L"Sets the delay between commands for the current macro, where \"s\" is the delay in seconds",
	
	["Manager.Advanced.Title"] = L"Advanced",
	["Manager.Advanced.Item"] = L"Item",
	["Manager.Advanced.Size"] = L"Size",
	["Manager.Advanced.Size.Width"] = L"Width",
	["Manager.Advanced.Size.Height"] = L"Height",
	["Manager.Advanced.Texture"] = L"Texture",
	["Manager.Advanced.Texture.Simple"] = L"Simple",
	["Manager.Advanced.Texture.Animation"] = L"Animation",
	["Manager.Advanced.Texture.Animation.Add"] = L"Add",
	["Manager.Advanced.Texture.Animation.FPS"] = L"FPS",
	["Manager.Advanced.Texture.Animation.Frames"] = L"Frames",
	["Manager.Advanced.Default"] = L"Default Texture",
	["Manager.Advanced.Highlight"] = L"Highlight Texture",
	["Manager.Advanced.Pressed"] = L"Pressed Texture",
	["Manager.Advanced.Apply"] = L"Apply Changes",
	
	["Button.Manage"] = L"Manage",
};

